### Signal

# Gio VolumeMonitor::drive-eject-button

since: 2.18

#### Declaration

    void
    drive_eject_button (
      GVolumeMonitor* self,
      GDrive* drive,
      gpointer user_data
    )

#### Description [src]

Emitted when the eject button is pressed on `drive`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.18

#### Parameters

`drive`

  Type: `GDrive`

  The drive where the eject button was pressed.

  The data is owned by the caller of the function.